MantisBT - TestLink
View Issue Details
0007418TestLinkRequirements Import - TL XML formatpublic2016-01-20 09:362016-09-08 15:13
atisne 
fman 
normalminoralways
closedfixed 
GFASCentOS/RedHat5
1.9.14 (2015 Q3) 
1.9.15 (2015 Q4) 
Postgresql
PHP 5.4.45
READY FOR TESTING
0007418: Import requirement with a too long doc-id results in a data inconsistency
The import of a requirement with a doc-id exceeded the max size results to an error (that's ok) and a data inconsistency (should be avoid).
A tl_node_hierarchy record is created whereas the associated tl_requirements record is not.
The node hierarchy cannot be destroy without a direct access to the database.
1- Import a requirement with a doc-id exceeded 64 characters (you can see a sample in the attached file)
-> The import ends with a low level error. In the requirement navigator, you can see a requirement without doc-id (beginning with a colon ':'). Clicking on the requirement results in the message 'Requirement does not exist anymore.'.
No tags attached.
child of 0007262closed fman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 
xml all-req.xml (832) 2016-01-20 09:36
http://mantis.testlink.org/file_download.php?file_id=4374&type=bug
Issue History
2016-01-20 09:36atisneNew Issue
2016-01-20 09:36atisneFile Added: all-req.xml
2016-03-14 21:46fmanQA Team - Task Workflow Status => READY FOR TESTING
2016-03-14 21:46fmanNote Added: 0024601
2016-03-14 21:46fmanStatusnew => resolved
2016-03-14 21:46fmanFixed in Version => 1.9.15 (2015 Q4)
2016-03-14 21:46fmanResolutionopen => fixed
2016-03-14 21:46fmanAssigned To => fman
2016-03-14 21:46fmanRelationship addedchild of 0007262
2016-09-08 15:13fmanNote Added: 0025275
2016-09-08 15:13fmanStatusresolved => closed

Notes
(0024601)
fman   
2016-03-14 21:46   
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/7f8d853f976b4bf1cc3d756b6f18b279536aa8e3 [^]
(0025275)
fman   
2016-09-08 15:13   
1.9.15 Released - 2016-09-08